[Numpy-discussion] numpy build on windows

David Cournapeau david@ar.media.kyoto-u.ac...
Fri Sep 5 04:35:35 CDT 2008


Francesc Alted wrote:
>
> IIRC, Python 2.4 and 2.5 only supports the VS2003 of the MS series of 
> compilers.  With Python 2.6 and 3.0 I think that VS2008 will be the one 
> supported.
>   

Yes, but that's just stupid when you think about it. I mean, the python
code to deal with VS 2008 is there, so if you built your python with VS
2008, everything to build extensions with VS 2008 is there (mismatched
VS is another story).

The code in numscons to detect and setting up VS 2008 (and 2005) is an
improved version of the code in python 2.6 distutils, so if there is a
way to prevent distutils from barfing during the configuration, it
should be doable,

cheers,

David


More information about the Numpy-discussion mailing list